Lazarus

Programming => Widgetset => QT => Topic started by: wcleyton on April 05, 2011, 04:49:35 pm

Title: Problem with QT 4.7.1/4.7.2
Post by: wcleyton on April 05, 2011, 04:49:35 pm
When I compile Lazarus using QT 4.7.1 or 4.7.2, the IDE does not boot.

Of an error and closes the IDE. If I again use the DLL's version 4.7 of the IDE works.

I'm using WinXP with Lazarus-0.9.31-30164-fpc-2.5.1-20110404-win32.exe

Is there a different configuration for use in compiling the QT version 4.7.1/4.7.2?

Title: Re: Problem with QT 4.7.1/4.7.2
Post by: zeljko on April 05, 2011, 05:07:38 pm
you have crash because of gcc bug. You must rebuild libqt4pas.dll with -mstackrealign to get it work, or use qt-4.6 dlls.
Title: Re: Problem with QT 4.7.1/4.7.2
Post by: wcleyton on April 05, 2011, 07:08:42 pm
Where can I download this DLL compiled with this option?
Title: Re: Problem with QT 4.7.1/4.7.2
Post by: Leledumbo on April 05, 2011, 08:05:39 pm
OOT: If I compile Qt from source, should I give -mstackrealign as well (instead of just for the Pascal binding)?
Title: Re: Problem with QT 4.7.1/4.7.2
Post by: wcleyton on April 06, 2011, 02:29:31 pm
As you compile with-libqt4pas.dll mstackrealign?

I am using Windows XP (win32).

Title: Re: Problem with QT 4.7.1/4.7.2
Post by: zeljko on April 06, 2011, 04:21:25 pm
Where can I download this DLL compiled with this option?
I'm not sure that Den builded dll for win32 with -mstackrealign. Ask on Qt-lazarus mailing list so Den (author of bindings) can help you.
Title: Re: Problem with QT 4.7.1/4.7.2
Post by: zeljko on April 06, 2011, 04:23:56 pm
OOT: If I compile Qt from source, should I give -mstackrealign as well (instead of just for the Pascal binding)?

No, you don't need to pass -mstackrealign if bindings are compiled with -mstackrealign.
Don't know what happens if you add -mstackrealign to qt libs but not to bindings.
But if you pass no-sse2 to qt lib configure then -mstackrealign isn't needed anymore.
TinyPortal © 2005-2018